/*
 * Copyright 2013 Mariusz Kopylec
 *
 * This file is part of SQL Mapper.
 *
 * SQL Mapper is free software: you can redistribute it and/or modify it under the
 * terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * SQL Mapper is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
 * A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * Foobar. If not, see http://www.gnu.org/licenses/
 */
package net.sourceforge.kopylec.sqlmapper.exception;

/**
 * An exception thrown when an SQL query returns inappropriate result.
 *
 * @author Mariusz Kopylec
 * @version 1.0
 */
public class QueryResultException extends Exception {

    private static final long serialVersionUID = 1L;

    public QueryResultException(String message) {
        super(message);
    }

    public QueryResultException(String message, Throwable cause) {
        super(message, cause);
    }
}
